<?php

namespace App\Service\Cron;

use App\Service\Cron\UI\CronUIInterface;
use Psr\Log\LoggerInterface;

/**
 * A cron-job
 *
 * @see ~/src/Service/Cron/Readme.md
 */
interface CronjobInterface
{
    public function name(): string;
    public function setUI(CronUIInterface $io): void;
    public function setLoggerInterface(LoggerInterface $cronLogger): void;
    public function preview(): void;
    public function execute(): void;
}
